//
// Typography
// --------------------------------------------------

// Headings
// -------------------------

h4 {
  margin: 0px 0px 30px;
}

h4, .h4 { font-size: @font-size-h4; }

.text-danger {
  color: @brand-danger-on-white;
}

// Text Styling

.text-italic {
  font-style: italic;
}

.text-bold {
  font-weight: bold;
}

// Body text
// -------------------------

p {
  color: @color-darker-gray;
  line-height: 22px;
  margin-bottom: 5px
}

// Text utils
// -------------------------

.truncate-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.text-nowrap {
	white-space: nowrap;
}

.text-break-word {
  word-break: break-word;
}

// Lists
// -------------------------

// Unordered and Ordered lists
ol, ul.content-text {
  padding: 0px 0px 0px 21px;
  margin-bottom: 20px;
}
ol > li,
ul.content-text > li {
  color: @dark-gray-on-white;
  line-height: 22px;
}
ol.number-spacing {
  padding-left: 20px;
}

// MISC
// ----

// Horizontal rules
hr {
  margin: 20px 0px;
  border: 0px;
  border-top: 1px solid @color-light-gray;
}

hr.dashed {
  border-top-style: dashed;
}